#ifndef TABLECOMPTES_H
#define TABLECOMPTES_H

#include <cstdlib>
#include <cstdio>
#include <stdlib.h> 
#include <stdio.h> 
#include <iostream>
#include <string> 
#include <fstream>
#include <sys/types.h> 
#ifdef WIN32
#include <windows.h>
#include <winsock2.h>
#include <commctrl.h>
#else
#include <sys/socket.h>
#include <pthread.h> 
#include <sys/ipc.h> 
#include <sys/msg.h> 
#endif
#include <unistd.h> 
#include <memory.h> 
#include <signal.h> 
#include <sys/time.h>
#include <time.h>
#include <ctime>


using namespace std;

class table_comptes
{

public:
    table_comptes(void);
  
    void setid(string id_);
    void setnom(string nom_);
    void setprenom(string prenom_);
    void setmdp(string mdp_);
    void setsolde(double solde_);
    string getid(void);
    string getnom(void);
    string getprenom(void);
    string getmdp(void);
    double getsolde(void);
    double changesolde(double value);
    double changesolde_controle(double value);

    void setnb_entrees(int nb_);
    int getnb_entrees(void);

    void display(void);

// variable pour le mutex
   HANDLE mutex_solde;

private:
    string id;
    string nom;
    string prenom;
    string mdp;
    double solde;
    
    int nb_entrees;
};

#endif
