

void etape2_consultation(table_comptes *table)
{
// code pour activer l'API socket de Windows
        WSADATA         wsaData;
        int             res;
        if((res = WSAStartup(MAKEWORD(2,0), &wsaData)) != 0)       // initialisation de l'API socket sous Windows
                printf("Impossible d'initialiser l'API Winsock 2.0\n");
// ! code pour activer l'API socket de Windows



// code pour creer un socket de type TCP
  int sock; 
  if ((sock=socket(AF_INET,SOCK_STREAM,0)) == -1)
  {
    perror("Creation de socket impossible"); 
    return; 
  } 
// ! code pour creer un socket de type TCP



// configuration de l'adresse socket
  struct sockaddr_in adresse_socket; 
  int longueur=sizeof(struct sockaddr_in); 
  int  port=5666; // port de communication

   memset(&adresse_socket,0x0,sizeof(adresse_socket)); // on met toute la structure adresse_socket a zero

   adresse_socket.sin_family = AF_INET;
   adresse_socket.sin_port = htons(port);
   adresse_socket.sin_addr.s_addr=htonl(INADDR_ANY); // toutes les interfaces prsentes 
// ! configuration de l'adresse socket



// association du socket sur le port
      res=bind(sock, (struct sockaddr *)&adresse_socket,sizeof(adresse_socket)); // activation du socket
      if(res == INVALID_SOCKET)
      {
             perror("bind");
      }
// ! association du socket sur le port



// autorise l'ecoute du port pour 1 connexions simultanees
  if (listen(sock, 1) == -1) {
    perror("Listen"); 
    exit(1); 
  } 
// ! autorise l'ecoute du port pour 1 connexions


// attente d'une connexion
    DWORD threadID; // pointeur vers les threads
    int sock2;
    struct table_et_socket infostablesocket; 
    while(1)      // boucle infinie
    {
//        printf("attente de communication client pour consultation\n");
        sock2=accept(sock,(struct sockaddr*) &adresse_socket, &longueur); 
        if (sock2 == -1) {
          perror("Accept"); 
          return; 
        }
        printf("communication client pour consultation etablie\n");

        infostablesocket.table=table;
        infostablesocket.socket=sock2;

//        printf("Creation d'un thread pour gerer la connexion client du service consultation\n");
        CreateThread(NULL, 0, Thread_service_consultation2, &infostablesocket, 0, &threadID);

    }
// ! attente d'une connexion




}


void etape2_consultation2(table_comptes *table, int sock2)
{
// reception des donnees
    int     receive; // donne en octets les donnees echangees
    char    nom[100];
    char    prenom[100];
    char    idcompte[100];        
    char    mdp[100];        

    // reception de l'id compte
    if((receive = recv(sock2,idcompte,100,0)) <= 0)
           printf("Echec de reception des donnees idcompte !\n");
    idcompte[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("id_compte=%s - ", idcompte);          // on afficher le contenu du buffer

    // reception du nom
    if((receive = recv(sock2,nom,100,0)) <= 0)
           printf("Echec de reception des donnees nom !\n");
    nom[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("nom=%s - ", nom);          // on afficher le contenu du buffer

    // reception du prenom
    if((receive = recv(sock2,prenom,100,0)) <= 0)
           printf("Echec de reception des donnees prenom !\n");
    prenom[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("prenom=%s - ", prenom);          // on afficher le contenu du buffer

    // reception du mot de passe
    if((receive = recv(sock2,mdp,100,0)) <= 0)
           printf("Echec de reception des donnees mdp !\n");
    mdp[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("mot_de_passe=%s\n", mdp);          // on afficher le contenu du buffer
// ! reception des donnees


// verification des donnees
   int verif;
   char    solde[100];
   verif = control1(idcompte, nom, prenom, mdp, solde, table);
// ! verification des donnees



//  envoie des donnees
    if( verif != 0)
    {
        // envoie de l'etat mauvais
        if(send(sock2,"1",strlen("1")+1,0) != 2)
               printf("Echec de l'envoie des donnees etat !\n");
    }
    else
    {

        char ladate[10]; // contient la date
        char lheure[10]; // contient l'heure
        _strdate(ladate);
        _strtime(lheure);

        // envoie de l'etat bon
        if(send(sock2,"2",2,0) != 2)
               printf("Echec de l'envoie des donnees etat !\n");
        // envoie de la date
        if(send(sock2,ladate,sizeof(ladate),0) != sizeof(ladate))
               printf("Echec de l'envoie des donnees ladate !\n");
        // envoie de l'heure
        if(send(sock2,lheure,sizeof(lheure),0) != sizeof(lheure))
               printf("Echec de l'envoie des donnees heure !\n");
        // envoie du solde
        if(send(sock2,solde,sizeof(solde),0) != sizeof(solde))
               printf("Echec de l'envoie des donnees solde !\n");
    }
// ! envoie des donnees



// fermeture du socket
        shutdown(sock2,2);
        close(sock2); // ferme le socket
// ! fermeture du socket

}


int control1(char *idcompte, char *nom, char *prenom, char *mdp, char *solde, table_comptes *table)
{
    int nb_entrees = 0;
    nb_entrees =  table->getnb_entrees();
    
    string id_;
    id_.assign(idcompte);
    string nom_;
    nom_.assign(nom);
    string prenom_;
    prenom_.assign(prenom);
    string mdp_;
    mdp_.assign(mdp);
    string solde_;
    
    for(int i=0; i<nb_entrees;i++)
    {
       // comparaison de l'id
       if (id_ == table[i].getid() && nom_ == table[i].getnom() && prenom_ == table[i].getprenom() && mdp_ == table[i].getmdp() )
       {
          printf("identification reussie\n");
          sprintf( solde, "%f", table[i].getsolde());
          return 0;
       }
    }


    return -1;
}

