#include <sys/types.h> 
#include <sys/ipc.h> 
#include <sys/msg.h> 

#define CLE 666

struct msg 
{ 
    char    nom[100];
    char    prenom[100];
    char    idcompte[100];        
    char    somme[100];     
};


void etape3(table_comptes *table)
{
    struct msg message; // creation de la structure de messages qui seront envoyes

// La primitive msgget () permet de crer ou de retrouver une file de message  partir de sa cl.
    int res; // sert de test
    int qid_file; // file de messages
    qid_file = msgget((key_t)CLE, 0700 | IPC_CREAT); 
    if (qid_file == -1)
    {
             perror("msgget"); 
             return (EXIT_FAILURE); 
    }

    struct msqid_ds buffer;
    int nb_messages;

    int nb_entrees = 0; // nb de fiches dans la base de donnees

    string id_;
    string nom_;
    string prenom_;
    double somme_;

    char ladate1[10],ladate2[10]; // contient la date
     string date1,date2;

    _strdate(ladate1);
    _strdate(ladate2);
     date1.assign(ladate1);
     date2.assign(ladate2);

     while(1)
     {
             // delai d'attente de 5 secondes pour ne pas prendre trop de ressources
             Sleep(5000); 

             // recuperation de la date
             _strdate(ladate2);
             date2.assign(ladate2);
             
             if(date1 != date2) // changement de jour
             {
                    _strdate(ladate1);
                    date1.assign(ladate1);

                    // on recupere le nb de messages dans la file de messages
                    nb_messages = msgctl(qid_file, IPC_STAT, &buffer);

                    // on recupere les messages
                    for(int i=0; i<nb_messages;i++)
                    {
                            res=msgrcv(qid_file, &message, sizeof(struct msg)-4, 0, 0);
                            if(res == -1)
                                   printf("erreur\n");         

                            nb_entrees =  table->getnb_entrees();
                            id_.assign(buffer.idcompte);
                            nom_.assign(buffer.nom);
                            prenom_.assign(buffer.prenom);
                            string solde_;
                            somme_= atof(buffer.somme);

                            // on recherche dans la base de donnees la fiche qui nous interesse
                            for(int i=0; i<nb_entrees;i++)
                            {
                                    // comparaison de l'id
                                    if (id_ == table[i].getid() && nom_ == table[i].getnom() && prenom_ == table[i].getprenom() )
                                    {
                                         // on effectue le changement du solde
                                         table[i].changesolde(somme_);
                                    }
                            }
                    } // fin du if
             }
     } // fin du while
     
}







   
