

void etape2_transfert(table_comptes *table)
{
// code pour activer l'API socket de Windows
        WSADATA         wsaData;
        int             res;
        if((res = WSAStartup(MAKEWORD(2,0), &wsaData)) != 0)       // initialisation de l'API socket sous Windows
                printf("Impossible d'initialiser l'API Winsock 2.0\n");
// ! code pour activer l'API socket de Windows



// code pour creer un socket de type TCP
  int sock; 
  if ((sock=socket(AF_INET,SOCK_STREAM,0)) == -1)
  {
    perror("Creation de socket impossible"); 
    return; 
  } 
// ! code pour creer un socket de type TCP



// configuration de l'adresse socket
  struct sockaddr_in adresse_socket; 
  int longueur=sizeof(struct sockaddr_in); 
  int  port=5999; // port de communication

   memset(&adresse_socket,0x0,sizeof(adresse_socket)); // on met toute la structure adresse_socket a zero

   adresse_socket.sin_family = AF_INET;
   adresse_socket.sin_port = htons(port);
   adresse_socket.sin_addr.s_addr=htonl(INADDR_ANY); // toutes les interfaces prsentes 
// ! configuration de l'adresse socket



// association du socket sur le port
      res=bind(sock, (struct sockaddr *)&adresse_socket,sizeof(adresse_socket)); // activation du socket
      if(res == INVALID_SOCKET)
      {
             perror("bind");
      }
// ! association du socket sur le port



// autorise l'ecoute du port pour 1 connexions simultanees
  if (listen(sock, 1) == -1) {
    perror("Listen"); 
    exit(1); 
  } 
// ! autorise l'ecoute du port pour 1 connexions



// attente d'une connexion
    DWORD threadID; // pointeur vers les threads
    int sock2;
    struct table_et_socket infostablesocket; 
    while(1)      // boucle infinie
    {
//        printf("attente de communication client pour virement\n");
        sock2=accept(sock,(struct sockaddr*) &adresse_socket, &longueur); 
        if (sock2 == -1) {
          perror("Accept"); 
          return; 
        }
        printf("communication client pour virement etablie\n");

        infostablesocket.table=table;
        infostablesocket.socket=sock2;

//        printf("Creation d'un thread pour gerer la connexion client du service consultation\n");
        CreateThread(NULL, 0, Thread_service_virement2, &infostablesocket, 0, &threadID);

    }
// ! attente d'une connexion




}


void etape2_transfert2(table_comptes *table,int sock2)
{

// reception des donnees
    int     receive; // donne en octets les donnees echangees
    char    nomA[100],nomB[100];
    char    prenomA[100],prenomB[100];
    char    idcompteA[100],idcompteB[100];        
    char    mdpA[100],mdpB[100];          
    char    somme[100];

    // reception de l'id compte A
    if((receive = recv(sock2,idcompteA,sizeof(idcompteA),0)) != sizeof(idcompteA))
           printf("Echec de reception des donnees idcompteA !\n");
    idcompteA[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("id_compteA=%s - ", idcompteA);          // on afficher le contenu du buffer

    // reception du nom A
    if((receive = recv(sock2,nomA,sizeof(nomA),0)) != sizeof(nomA))
           printf("Echec de reception des donnees nomA !\n");
    nomA[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("nomA=%s - ", nomA);          // on afficher le contenu du buffer

    // reception du prenom A
    if((receive = recv(sock2,prenomA,sizeof(prenomA),0)) != sizeof(prenomA))
           printf("Echec de reception des donnees prenomA !\n");
    prenomA[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("prenomA=%s - ", prenomA);          // on afficher le contenu du buffer

    // reception du mot de passe A
    if((receive = recv(sock2,mdpA,sizeof(mdpA),0)) != sizeof(mdpA))
           printf("Echec de reception des donnees mdpA !\n");
    mdpA[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("mot_de_passeA=%s\n", mdpA);          // on afficher le contenu du buffer

    // reception de l'id compte B
    if((receive = recv(sock2,idcompteB,sizeof(idcompteB),0)) != sizeof(idcompteB))
           printf("Echec de reception des donnees idcompteB !\n");
    idcompteB[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("id_compteB=%s - ", idcompteB);          // on afficher le contenu du buffer

    // reception du nom B
    if((receive = recv(sock2,nomB,sizeof(nomB),0)) != sizeof(nomB))
           printf("Echec de reception des donnees nomB !\n");
    nomB[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("nomB=%s - ", nomB);          // on afficher le contenu du buffer

    // reception du prenom B
    if((receive = recv(sock2,prenomB,sizeof(prenomB),0)) != sizeof(prenomB))
           printf("Echec de reception des donnees prenomB !\n");
    prenomB[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("prenomB=%s - ", prenomB);          // on afficher le contenu du buffer

    // reception du mot de passe B
    if((receive = recv(sock2,mdpB,sizeof(mdpB),0)) != sizeof(mdpB))
           printf("Echec de reception des donnees mdpB !\n");
    mdpB[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("mot_de_passeB=%s\n", mdpB);          // on afficher le contenu du buffer

    // reception de la somme
    if((receive = recv(sock2,somme,sizeof(somme),0)) != sizeof(somme))
           printf("Echec de reception des donnees somme !\n");
    somme[receive] = '\0';// place  la fin du tableau le caractre nulle
    printf("somme=%s\n", somme);          // on afficher le contenu du buffer


// ! reception des donnees



// verification des donnees
   int verif=0;
    char    soldeA[100],soldeB[100];
    if( control2(idcompteA, nomA, prenomA, mdpA, soldeA, table) != 0)
    {
        // envoie de l'etat mauvais
        if(send(sock2,"1",2,0) != 2)
               printf("Echec de l'envoie des donnees verif !\n");
        verif = 1;
    }
    else
    {
        // envoie de l'etat bon
        if(send(sock2,"2",2,0) != 2)
               printf("Echec de l'envoie des donnees verif !\n");
    }


    // verification des donnees
    if( control2(idcompteB, nomB, prenomB, mdpB, soldeB, table) != 0)
    {
        // envoie de l'etat mauvais
        if(send(sock2,"1",2,0) != 2)
               printf("Echec de l'envoie des donnees verif !\n");
        verif = 1;
    }
    else
    {
        // envoie de l'etat bon
        if(send(sock2,"2",2,0) != 2)
               printf("Echec de l'envoie des donnees verif !\n");
    }
// ! verification des donnees



//  envoie des donnees
    char ladate[10]; // contient la date
    char lheure[10]; // contient l'heure
    _strdate(ladate);
    _strtime(lheure);

    if(verif == 0)
    {
         int etat;
         etat=virement(idcompteA,nomA,prenomA,mdpA,soldeA,idcompteB,nomB,prenomB,mdpB,soldeB,somme,table);

         if(etat == -1)         
         {
               // envoie de l'etat mauvais
               if(send(sock2,"1",2,0) != 2)
                      printf("Echec de l'envoie des donnees verif !\n");
         }
         else
         {
               // envoie de l'etat bon
               if(send(sock2,"2",2,0) != 2)
                      printf("Echec de l'envoie des donnees verif !\n");
         }

        // envoie de la date
        if(send(sock2,ladate,sizeof(ladate),0) != sizeof(ladate))
               printf("Echec de l'envoie des donnees ladate !\n");
        // envoie de l'heure
        if(send(sock2,lheure,sizeof(lheure),0) != sizeof(lheure))
               printf("Echec de l'envoie des donnees lheure !\n");
        // envoie du solde A
        if(send(sock2,soldeA,sizeof(soldeA),0) != sizeof(soldeA))
               printf("Echec de l'envoie des donnees soldeA !\n");
        // envoie du solde B
        if(send(sock2,soldeB,sizeof(soldeB),0) != sizeof(soldeB))
               printf("Echec de l'envoie des donnees soldeB !\n");
    }
// !  envoie des donnees



// fermeture du socket
        shutdown(sock2,2);
        close(sock2); // ferme le socket
// ! fermeture du socket
}


int virement(char *idcompteA, char *nomA, char *prenomA, char *mdpA, char *soldeA, char *idcompteB, char *nomB, char *prenomB, char *mdpB, char *soldeB, char *somme, table_comptes *table)
{

    int nb_entrees = 0;
    nb_entrees =  table->getnb_entrees();
    
    string idA_;
    idA_.assign(idcompteA);
    string nomA_;
    nomA_.assign(nomA);
    string prenomA_;
    prenomA_.assign(prenomA);
    string mdpA_;
    mdpA_.assign(mdpA);
    string soldeA_;

    string idB_;
    idB_.assign(idcompteB);
    string nomB_;
    nomB_.assign(nomB);
    string prenomB_;
    prenomB_.assign(prenomB);    
    string mdpB_;
    mdpB_.assign(mdpB);
    string soldeB_;

    double somme_ = atof(somme);
    double soldedA, soldedB;

    int verif=0;

    for(int i=0; i<nb_entrees;i++)
    {

       // comparaison de l'id A
       if (idA_ == table[i].getid() && nomA_ == table[i].getnom() && prenomA_ == table[i].getprenom() && mdpA_ == table[i].getmdp() )
       {
//          printf("identification reussie id A\n");
            verif = table[i].changesolde_controle(-somme_);
            if(verif != -1) // on verifie que le solde A est bien positif
            {
                     soldedA = verif;
                     sprintf( soldeA, "%f", soldedA);
            }
//          printf("solde A = %s\n",soldeA);
       }
    }

    if(verif != -1)
    {
        for(int i=0; i<nb_entrees;i++)
        {
           // comparaison de l'id B
           if (idB_ == table[i].getid() && nomB_ == table[i].getnom() && prenomB_ == table[i].getprenom() && mdpB_ == table[i].getmdp() )
           {
    //          printf("identification reussie id B\n");
              soldedB = table[i].changesolde(somme_);
              sprintf( soldeB, "%f", soldedB);
    //          printf("solde B = %s\n",soldeB);
           }
        }
    }

    if(verif != -1)
        return 0;
    else
        return -1;
    
}


int control2(char *idcompte, char *nom, char *prenom, char *mdp, char *solde, table_comptes *table)
{
    int nb_entrees = 0;
    nb_entrees =  table->getnb_entrees();
    
    string id_;
    id_.assign(idcompte);
    string nom_;
    nom_.assign(nom);
    string prenom_;
    prenom_.assign(prenom);
    string mdp_;
    mdp_.assign(mdp);
    string solde_;
    
    for(int i=0; i<nb_entrees;i++)
    {
       // comparaison de l'id
       if (id_ == table[i].getid() && nom_ == table[i].getnom() && prenom_ == table[i].getprenom() && mdp_ == table[i].getmdp() )
       {
          printf("identification reussie\n");
          sprintf( solde, "%f", table[i].getsolde());
//          printf("solde = %s\n",solde);
          
          return 0;
       }
    }


    return -1;
}


