// creation de la base de donnees
void etape1(table_comptes *table, int nb_entrees);

// service consultation
void etape2_consultation(table_comptes *table);
void etape2_consultation2(table_comptes *table,int socket2);
int control1(char *idcompte, char *nom, char *prenom, char *mdp, char *solde, table_comptes *table);

// service virement
void etape2_transfert(table_comptes *table);
void etape2_transfert2(table_comptes *table,int socket2);
int control2(char *idcompte, char *nom, char *prenom, char *mdp, char *solde, table_comptes *table);
int virement(char *idcompteA, char *nomA, char *prenomA, char *mdpA, char *soldeA, char *idcompteB, char *nomB, char *prenomB, char *mdpB, char *soldeB, char *somme, table_comptes *table);

// service periodique
void etape3(table_comptes *table);


struct table_et_socket 
{
/*
cette structure va contenir un pointeur vers un objet appartenant a la classe table_comptes et l'adresse d'une socket
*/
};


DWORD WINAPI Thread_service_consultation(LPVOID lpParameter)
{
/* Partie 2 - Activation du service de consultation */
/*
le thread se contente de lancer la fonction etape2_consultation(), en mettant en parametre l'adresse de la table de donnees et l'adresse du socket
*/
/* Fin de la partie 2 de consultation */
}

DWORD WINAPI Thread_service_consultation2(LPVOID basedonnees_et_socketclient)
{
/* Partie 2 - Traitement en thread d'une connexion client */
/*
le thread se contente de lancer la fonction etape2_consultation2(), en mettant en parametre l'adresse de la table de donnees et l'adresse du socket
*/
/* Fin de la partie 2 de consultation avec connexion client */
}

DWORD WINAPI Thread_service_virement(LPVOID lpParameter)
{
/* Partie 2 - transfert argent */
/*
le thread se contente de lancer la fonction etape2_transfert(), en mettant en parametre l'adresse de la table de donnees et l'adresse du socket
*/
/* Fin de la partie 2 de virement */
}

DWORD WINAPI Thread_service_virement2(LPVOID basedonnees_et_socketclient)
{
/* Partie 2 - Traitement en thread d'une connexion client */
/*
le thread se contente de lancer la fonction etape2_transfert2(), en mettant en parametre l'adresse de la table de donnees et l'adresse du socket
*/
/* Fin de la partie 2 de virement avec connexion client */
}


int main(int argc, char* argv[])
{
/*
Au demarrage du serveur, on commence par mettre en memoire tous les comptes de la banque.
Pour cela, on recupere les donnees se trouvant dans le fichier "la_table_des_comptes" et on les stocke a l'aide de la classe table_comptes.

Pour commencer, on ouvre le fichier "la_table_des_comptes" et on lit la premiere ligne pour savoir combien il y a de fiches a entrer en memoire.
Ensuite, on lance la fonction etape1() en lui donnant en parametre l'adresse de la base de donnees, ainsi que le nb de fiches a enregistrer dedans.


Une fois que la base de donnees des comptes est cree, on peut activer les services du service.
En tout, il y a 3 services qui doivent tourner en parallele, ce qui signifie la presence de 3 processus.
Il va donc etre necessaire de creer 2 nouveaux processus. On choisit de creer des processus legers, c'est a dire des threads.

On cree un thread pour le service de consultation (son nom etant Thread_service_consultation).

On cree un thread pour le service de consultation (son nom etant Thread_service_virement).

On met ensuite en place l'analyse peridique.
Pour cela, on lance la fonction etape3().
*/
}


