

void etape2_transfert(table_comptes *table)
{
/*
On commence par creer un socket de type TCP.
On configure ensuite le socket en lui donnant un port et une adresse.

On associe le socket au port grace a la commande bind().

On ecoute ensuite le socket a l'aide de la fonction listen().
On demarre ensuite l'attente de connexions de la part de clients.

Des qu'une connexion avec un client est etablie (avec la fonction accept()), on cree un nouveau thread ( le nom du thread est Thread_service_virement2) et on lui transmet l'adresse de la base de donnees, ainsi que l'adresse de la socket.
*/
}


void etape2_transfert2(table_comptes *table,int sock2)
{
/*
Nous sommes en communication avec le client.

Le client va nous transmettre un nom, un prenom, un mot de passe et l'identifiant de deux comptes. Il transmet aussi une somme qui sera a retirer du compte A pour la mettre sur le compte B.
La reception se fait grace a la fonction recv().

Nous allons verifier que ces donnees correspondent bien a deux comptes qui existent.
Pour cela, nous lancons la fonction control2() qui a pour but de parcourir toutes les fiches de la base de donnees pour voir s'il y en a une qui correspond aux informations en notre possession.

Si la verification n'a rien trouve, alors on envoie au client un message pour lui dire que nous ne pouvons pas lui donner ce qu'il veut.
Si la verification est bon, on envoie au client un message pour dire que nous avons trouve la fiche qui l'interesse.

Nous demandons ensuite a se que le virement se fasse grace a la fonction virement().
Nous envoyons ensuite un message au client pour lui dire que le virement a bien ete effectue, ou bien que le virement n'a pas ete effectue car le solde A aurait ete negatif.
Enfin, nous transmettons au client l'actuel solde des comptes.

Il ne reste plus qu'a fermer le socket
*/
}


int virement(char *idcompteA, char *nomA, char *prenomA, char *mdpA, char *soldeA, char *idcompteB, char *nomB, char *prenomB, char *mdpB, char *soldeB, char *somme, table_comptes *table)
{
/*
On commence par demander combien il y a de fiches dans la base de donnees.

Nous allons ensuite parcourir une a une toutes les fiches a la recherche de l'identifiant A.
Nous allons demander que soit retire du solde A une certaine somme a la condition que le solde A reste positif.
Si le solde A est negatif, le retrait d'argent ne se fait pas et on quitte la fonction avec la valeur -1.

Si le solde A reste positif, alors on retire la somme.
On recherche l'identifiant B et on lui ajoute la somme.
On quitte la fonction avec la valeur de retour 0 pour dire que le virement s'est bien fait.
*/
}


int control2(char *idcompte, char *nom, char *prenom, char *mdp, char *solde, table_comptes *table)
{
/*
On commence par demander combien il y a de fiches dans la base de donnees.

Nous allons ensuite parcourir une a une toutes les fiches.
Pour chaque fiche, nous comparons son identifiant, son nom, son prenom et son mot de passe avec les donnees que nous a transmis le client.
Si on trouve une fiche qui correspond, alors on note le solde du compte et en quitte la fonction avec la valeur 0.
Si on ne trouve aucune fiche correspondante, alors on quitte la fonction avec la valeur -1
*/
}


